import org.jgrapht.graph.SimpleWeightedGraph;

import java.time.Duration;
import java.util.Map;

public class MapData {
    private final Map<Integer, Integer> distCellsMapAlphaKey;
    private final Map<Integer, Integer> allAlphas;
    private final Map<Integer, Integer> allBetas;
    private final Map<Integer, Integer> plateVtoAMap;
    private final Map<Integer, Integer> plateVtoBMap;
    private final Map<Integer, Integer> plateAtoVMap;
    private final Map<Integer, Integer> plateBtoVMap;

    private final Duration time;

    public MapData(Map<Integer, Integer> distCellsMapAlphaKey,
                            Map<Integer, Integer> allAlphas, Map<Integer, Integer> allBetas,
                            Map<Integer, Integer> plateVtoAMap, Map<Integer, Integer> plateVtoBMap,
                            Map<Integer, Integer> plateAtoVMap, Map<Integer, Integer> plateBtoVMap,
                            Duration time) {
        this.distCellsMapAlphaKey = distCellsMapAlphaKey;
        this.allAlphas = allAlphas;
        this.allBetas = allBetas;
        this.plateVtoAMap = plateVtoAMap;
        this.plateVtoBMap = plateVtoBMap;
        this.plateAtoVMap = plateAtoVMap;
        this.plateBtoVMap = plateBtoVMap;

        this.time = time;
    }

    public Map<Integer, Integer> getDistCellsMapAlphaKey() {
        return distCellsMapAlphaKey;
    }

    public Map<Integer, Integer> getAllAlphas() {
        return allAlphas;
    }

    public Map<Integer, Integer> getAllBetas() {
        return allBetas;
    }

    public Map<Integer, Integer> getPlateVtoAMap() {
        return plateVtoAMap;
    }

    public Map<Integer, Integer> getPlateVtoBMap() {
        return plateVtoBMap;
    }

    public Map<Integer, Integer> getPlateAtoVMap() {
        return plateAtoVMap;
    }

    public Map<Integer, Integer> getPlateBtoVMap() {
        return plateBtoVMap;
    }

    public Duration getTime() {
        return time;
    }
}
